#!/bin/sh
num_challenges="$(
    wc -l solutions.txt \
    | cut -f1 -d ' '
)"
docker ps \
    -f label="description=SLBR User Container" \
    --format "{{.ID}}" \
| xargs docker rm -f
docker images -a \
| grep ^slbr \
| awk '{print $3}' \
| xargs docker rmi -f

printf "$num_challenges\n" > scoreboard.txt
printf "" > log.txt
